Optimaite

Case Notes

1 min readUpdated May 26, 2026Auch auf Deutsch verfuegbar

Case notes are rich text notes attached to a specific case. They support pinning, autosave, and cursor-paginated listing.

Endpoints

MethodPathDescription
GET/api/v1/cases/{case_id}/notesList notes for a case
POST/api/v1/cases/{case_id}/notesCreate a note
GET/api/v1/cases/{case_id}/notes/{id}Get a single note
PUT/api/v1/cases/{case_id}/notes/{id}Update a note
DELETE/api/v1/cases/{case_id}/notes/{id}Delete a note
POST/api/v1/cases/{case_id}/notes/{id}/pinToggle pinned state

Required scope: cases:read for GET, cases:write for POST/PUT/DELETE.

The Note Object

{
  "id": "note_01ABCDEF",
  "case_id": "550e8400-e29b-41d4-a716-446655440000",
  "title": "Strategy Notes",
  "content": "<p>Key points from client meeting...</p>",
  "pinned": true,
  "author": {
    "id": "usr_01GHIJKL",
    "name": "Dr. Anna Mueller"
  },
  "created_at": "2026-05-20T14:00:00Z",
  "updated_at": "2026-05-21T09:15:00Z"
}

Create a Note

POST /api/v1/cases/{case_id}/notes
{
  "title": "Strategy Notes",
  "content": "<p>Key points from client meeting on 2026-05-20:</p><ul><li>Filing deadline June 15</li><li>Client will provide additional documents</li></ul>"
}

Next Steps

Was this helpful?